petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESShellGetContext

Returns the user-provided context associated with a shell SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESShellGetContext(SNES snes,void **ctx)

Not Collective

### Input Parameter

snes -should have been created with SNESSetType(snes,SNESSHELL);

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell routines

### Keywords

SNES, shell, get, context

### See Also

SNESCreateShell(), SNESShellSetContext()

### Level

advanced

### Location

src/snes/impls/shell/snesshell.c

### Examples

src/snes/examples/tutorials/ex35.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages